GRUB-MKIMAGE(1)

NAMN
grub-mkimage - make a bootable image of GRUB

SYNOPSIS
grub-mkimage [FLAGGA...] [FLAGGA]... [MODULER]

BESKRIVNING
Gör en startbar avbildning av GRUB.

-c, --config=FIL
    bädda in FIL som en tidig konfiguration

-C, --compression=(xz|none|auto)
    välj komprimering att använda för kärnavbild

-d, --directory=KATALOG
    använd avbilder och moduler under KAT [standard=/usr/lib/grub/<platform>]

--disable-shim-lock
    inaktivera shim_lock verifier

-D, --dtb=FIL
    bädda in FIL som ett enhetsträd (DTB)

-k, --pubkey=FIL
    bädda in FIL som öppen nyckel för signaturkontroll

-m,                              --memdisk=FIL
    bädda in FIL som en memdisk-avbild

Implicerar ”-p (memdisk)/boot/grub” och åsidosätter

tidigare prefix, men prefixet själv kan bli åsidosatt
    med senare alternativ.

-n, --note
    lägg till NOTE-segment för CHRP IEEE1275

-o, --output=FIL
    mata ut en genererad avbild till FIL [standard=stdut]

-O, --format=FORMAT
    Generera en avbildning i FORMAT; tillgängliga format: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, riscv32-efi, riscv64-efi

-p, --prefix=KATALOG
    sätt prefixkatalog

-s, --sbat=FIL
    SBAT-metadata

-v, --verbose
    skriv ut informativa meddelanden.

-?, --help
    visa denna hjälplista

--usage
    ge ett kort användningsmeddelande

-V, --version
    skriv ut programversion

Obligatoriska eller valfria argument till långa flaggor är också obligatoriska eller valfria för motsvarande korta flaggor.

RAPPORTERA FEL
Rapportera fel till <bug-grub@gnu.org>. Skicka synpunkter på översättningen till >tp-sv@listor.tp-sv.se<.

SE OCKSÅ
grub-install(8), grub-mkrescue(1), grub-mknetdir(8)

Den fullständiga dokumentationen för grub-mkimage underhålls som en Texinfo-manual. Om programmen info och grub-mkimage är ordentligt installerade på ditt system, bör kommandot

    info grub-mkimage

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.